<!DOCTYPE html>
<html>

<head>
    <title>Lucky Dice Casino version 0.5</title>
</head>

<body onload="onPageLoading()">
    <img id="img-wellcome" src="images/people-playing-casino.jpg" width="570px;">
    <h1 id="h1-chao-mung" style="color:green;">Chào mừng đến với My Lucky Dice</h1>
    <img id="img-new-dice" style="width:120px" src="images/dice.png" alt="">
    <br>
    <button id="btn-submit" onclick="onBtnGetDiceClick();" style="width: 100px; height: 45px;"> Ném </button>
    <h2 id="h2-showMsg" style="visibility: hidden; color: blue;"> ...</h2>
</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    // hàm xử lý sự kiện tải trang
    function onPageLoading() {
        var vElementImgWellCome = document.getElementById("img-wellcome");
        console.log("ImgWellCome có id là: " + vElementImgWellCome.id);
        console.log("ImgWellCome có src là: " + vElementImgWellCome.src);
        var vElementImgNewDice = document.getElementById("img-new-dice");
        console.log("Element Img New Dice có id là: " + vElementImgNewDice.id);
        console.log("Element Img New Dice có src là: " + vElementImgNewDice.src);
        var vElementButton = document.getElementById("btn-submit");
        console.log("Element Button có id là: " + vElementButton.id);
        console.log("Element Button có nội dung là: " + vElementButton.textContent);
        var vElementH1 = document.getElementById("h1-chao-mung");
        console.log("h1 có id là: " + vElementH1.id);
        console.log("h1 có nội dung là: " + vElementH1.textContent);
        var vElementH2 = document.getElementById("h2-showMsg");
        console.log("h2 có id là: " + vElementH2.id);
        console.log("h2 có nội dung là: " + vElementH2.textContent);
    }

    // hàm xử lý sự kiện nút Ném click
    function onBtnGetDiceClick() {
        console.log("Tung xúc xắc");
        // gọi hàm sinh số ngẫu nhiên
        var vDiceNumber = getRandomNumberFrom1To6();
        console.log("Số mặt xúc xắc ném là: " + vDiceNumber);
        // gọi hàm thay đổi ảnh xúc xắc tương ứng
        changeImageDice(vDiceNumber);
        // gọi hàm changeMessage
        changeMessage(vDiceNumber)
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // hàm lấy được số nguyên từ 1 đến 6
    function getRandomNumberFrom1To6() {
        var vSoChamHienRa = Math.floor((Math.random() * 6) + 1);
        return vSoChamHienRa;
    }

    // hàm số để thay ảnh dice cho phù hợp
    function changeImageDice(paramSoChamXucXacNemRa) {
        "use strict";
        var vElementImageDiceRound = document.getElementById("img-new-dice");
        switch (paramSoChamXucXacNemRa) {
            case 1:
                vElementImageDiceRound.src = "images/1.png";
                break;
            case 2:
                vElementImageDiceRound.src = "images/2.png";
                break;
            case 3:
                vElementImageDiceRound.src = "images/3.png";
                break;
            case 4:
                vElementImageDiceRound.src = "images/4.png";
                break;
            case 5:
                vElementImageDiceRound.src = "images/5.png";
                break;
            case 6:
                vElementImageDiceRound.src = "images/6.png";
                break;
            default:
            // code block
        }
    }

    // hàm số để thay message chúc mừng hay an ủi cho phù hợp
    function changeMessage(paramSoChamXucXacNemRa) {
        var vH2ShowMsg = document.getElementById("h2-showMsg");
        var vMsg = "";
        if (paramSoChamXucXacNemRa > 3) {
            vMsg = "Chúc mừng bạn. Hãy chơi ván nữa!";
            vH2ShowMsg.style.color = "orange";
        }
        else {
            vMsg = "Cảm ơn bạn. Hãy cố gắng lần sau!";
            vH2ShowMsg.style.color = "purple";
        }
        // cho thẻ h2 hiện ra
        vH2ShowMsg.style.visibility = 'visible';
        vH2ShowMsg.innerHTML = vMsg;
    }

</script>

</html>